EDIT - bug #9102

taxonNode status icon breaks sort order in taxontree
06/25/2020 06:29 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal Found in Version:

Description

for example in the cihorieae portal Incertae sedis and Nomina excludenda should come as last in the tree:

= Cichorieae
?? Incertae sedis
® Nomina excludenda
Chondrillinae
Cichoriinae
Crepidinae
Hieraciinae
Hyoseridinae
Hypochaeridinae
Lactucinae
Microseridinae
Scolyminae
Scorzonerinae
Warioniinae

Related issues:
Related to EDIT - bug #6356: taxontree sort order as in editor Closed
Related to EDIT - feature request #9010: Display taxon node status excluded, ... Closed

Associated revisions

Revision 64cfdac1 - 06/26/2020 03:27 PM - Andreas Kohlbecker

switching portal to real TaxonNodeDTOs

Revision 562acef2 - 06/26/2020 03:28 PM - Andreas Kohlbecker

using TaxonNodeDto instead of TaxonNodeDtoBeanProcessot for multiple webservices and adding sortMode parameter

Revision f959fedb - 06/26/2020 03:51 PM - Andreas Kohlbecker

ref #9102 using TaxonNodeDto instead of TaxonNodeDtoBeanProcessor for multiple webservices and adding sortMode parameter - bug fix

Revision 281ec7b2 - 06/26/2020 05:46 PM - Andreas Kohlbecker
ref #9102 adapting tests

Revision 3049fdcd - 06/29/2020 11:54 AM - Andreas Kohlbecker

ref #9102 convering both cases for taxon in current classification test: TaxonNode and TaxonNodeDto

Revision 9b8eb609 - 06/29/2020 01:10 PM - Andreas Kohlbecker

ref #9102 fixing TaxonNode.source footnote missing & generalizing creation of bibliography block

Revision 54164245 - 06/29/2020 04:13 PM - Andreas Kohlbecker
ref #9102 adapting to modified TaxonNodeDto

Revision 525e9e11 - 06/29/2020 04:14 PM - Andreas Kohlbecker

ref #9102 TaxonNodeDto with statusNote, nodeStatus as status and status as TaxonStatus

Revision 2203967c¢ - 06/29/2020 06:09 PM - Andreas Kohlbecker

ref #9102 proper conversion of block to render array and avoiding duplicate bibliography blocks

History

#1 - 06/25/2020 06:33 PM - Andreas Kohlbecker

- Related to bug #6356 taxontree sort order as in editor added

#2 - 06/26/2020 03:52 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 06/30/2020 03:26 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.16

#4 - 06/30/2020 04:04 PM - Andreas Kohlbecker

- Subject changed from taxonNode status icon break sort order in taxontree to taxonNode status icon breaks sort order in taxontree

#5 - 06/30/2020 04:04 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#6 - 07/02/2020 08:40 AM - Andreas Kohlbecker

- Related to feature request #9010: Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon

node status note and taxon node source on taxon page added
